Redwax SignText for Windows MFC

https://redwax.eu/rst/

This native messaging browser extension signs text for the Windows platform.

It is based on the Windows MFC framework and CryptoApi Next Generation.

Use this with the Firefox Addon at https://addons.mozilla.org/en-GB/firefox/addon/redwax-signtext/.

Build with Visual Studio 2022.

```
msbuild "Redwax SignText.sln" /p:Configuration=Debug -p:Platform=x64
msbuild "Redwax SignText.sln" /p:Configuration=Release -p:Platform=x64
msbuild "Redwax SignText.sln" /p:Configuration=Debug -p:Platform=arm64
msbuild "Redwax SignText.sln" /p:Configuration=Release -p:Platform=arm64
```

Sign installers for distribution:

```
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.22621.0\x64\signtool" sign /tr http://timestamp.globalsign.com/tsa/r6advanced1 /td SHA256 /fd sha256 /n "Pepperpot Media Limited" /d "Redwax SignText Installer" ".\Redwax SignText Installer\bin\x64\Debug\en-US\Redwax SignText Installer.msi"
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.22621.0\x64\signtool" sign /tr http://timestamp.globalsign.com/tsa/r6advanced1 /td SHA256 /fd sha256 /n "Pepperpot Media Limited" /d "Redwax SignText Installer" ".\Redwax SignText Installer\bin\x64\Release\en-US\Redwax SignText Installer.msi"
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.22621.0\x64\signtool" sign /tr http://timestamp.globalsign.com/tsa/r6advanced1 /td SHA256 /fd sha256 /n "Pepperpot Media Limited" /d "Redwax SignText Installer" ".\Redwax SignText Installer\bin\arm64\Debug\en-US\Redwax SignText Installer.msi"
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.22621.0\x64\signtool" sign /tr http://timestamp.globalsign.com/tsa/r6advanced1 /td SHA256 /fd sha256 /n "Pepperpot Media Limited" /d "Redwax SignText Installer" ".\Redwax SignText Installer\bin\arm64\Release\en-US\Redwax SignText Installer.msi"
```

Bumping the version number:

Set in two places.

Application version number: "Redwax SignText/Redwax SignText (MFC)/RedwaxSignTextMFC.rc"
Installer version number: "Redwax SignText/Redwax SignText Installer/Package.wxs"

